features:
  secondary:
    - name: "Support additional query variables in custom dashboards"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/operations/metrics/dashboards/variables.html#query-variables'
      reporter: dhershkovitch
      stage: monitor
      categories:
        - 'Metrics'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/35475'
      description: |
        Custom dashboards can be created and configured using Prometheus queries. To allow users to create dashboard definitions that can be used across different projects, we have extended support to include additional [CI variables](https://docs.gitlab.com/ee/ci/variables/README.html) in Prometheus queries.
